Lists information about the supported locations for this service.
This method lists locations based on the resource scope provided in the [ListLocationsRequest.name] field:
- Global locations: If
nameis empty, the method lists the public locations available to all projects. - Project-specific locations: If
namefollows the formatprojects/{project}, the method lists locations visible to that specific project. This includes public, private, or other project-specific locations enabled for the project.
For gRPC and client library implementations, the resource name is passed as the name field. For direct service calls, the resource name is incorporated into the request path based on the specific service implementation and version.
HTTP request
GET https://firestore.googleapis.com/v1/{name=projects/*}/locations The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
The resource that owns the locations collection, if applicable. |
Query parameters
| Parameters | |
|---|---|
filter |
A filter to narrow down results to a preferred subset. The filtering language accepts strings like |
pageSize |
The maximum number of results to return. If not set, the service selects a default. |
pageToken |
A page token received from the |
extraLocationTypes[] |
Optional. Do not use this field. It is unsupported and is ignored unless explicitly documented otherwise. This is primarily for internal usage. |
Request body
The request body must be empty.
Response body
The response message for Locations.ListLocations.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"locations": [
{
object ( |
| Fields | |
|---|---|
locations[] |
A list of locations that matches the specified filter in the request. |
nextPageToken |
The standard List next-page token. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/datastorehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.